Bug 1572358 - logs full of file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml ReferenceError
Summary: logs full of file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/co...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 19:34 UTC by Jonathan Wakely
Modified: 2018-05-29 11:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:19:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Jonathan Wakely 2018-04-26 19:34:48 UTC
Description of problem:

# journalctl -b | wc -l 
69427
# journalctl -b | fgrep plasmashell | wc -l 
20596
# journalctl -b | grep plasmashell.*ToolTipInstance.qml.*ReferenceError | wc -l 
18524

More than a quarter of all logs in my journal are from plasmashell whinging about something minor. I have no idea what the log means, or how to do anything about it, so it's completely useless.


Version-Release number of selected component (if applicable):

plasma-workspace-5.10.5-6.fc26.x86_64


How reproducible:

Always


Steps to Reproduce:
1. use plasma
2. move the mouse over the task manager
3.


Actual results:

Gigabytes of wasted space.


Expected results:

Plasmashell doesn't bother telling me about things that happen hundreds of times per day and which I can't do anything about anyway.

Additional info:

The counts of different errors are:

    827      file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:170: ReferenceError: IsMinimized is not defined
   1703      file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:36: ReferenceError: index is not defined
    827      file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:376: ReferenceError: model is not defined
    827      file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:37: ReferenceError: index is not defined
  12736      file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
   1604      file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:41: ReferenceError: AppPid is not defined


The errors can happen multiple times per second:

Apr 26 20:12:14 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:41: ReferenceError: AppPid is not defined
Apr 26 20:12:14 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:36: ReferenceError: index is not defined
Apr 26 20:12:14 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:170: ReferenceError: IsMinimized is not defined
Apr 26 20:12:14 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:37: ReferenceError: index is not defined
Apr 26 20:12:14 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:376: ReferenceError: model is not defined
Apr 26 20:12:14 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:14 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:15 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:15 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:15 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:16 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:17 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:18 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:18 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:18 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:18 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:18 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:18 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:18 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:18 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:19 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:19 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:19 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:19 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:21 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:21 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:21 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:21 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:21 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:21 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:21 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Apr 26 20:12:21 knitphad.home plasmashell[1895]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined

Comment 1 Jonathan Wakely 2018-04-26 19:49:51 UTC
This started at Apr 13 09:31:31

Before then I would only get a small burst of plasmashell errors once every few days e.g.

Feb 19 14:20:07 knitphad.home plasmashell[8222]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:418: ReferenceError: VirtualDesktop is not defined
Feb 19 14:20:07 knitphad.home plasmashell[8222]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:376: ReferenceError: model is not defined
Feb 19 14:20:07 knitphad.home plasmashell[8222]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:37: ReferenceError: index is not defined
Feb 19 14:20:07 knitphad.home plasmashell[8222]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:170: ReferenceError: IsMinimized is not defined
Feb 19 14:20:07 knitphad.home plasmashell[8222]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:36: ReferenceError: index is not defined
Feb 19 14:20:07 knitphad.home plasmashell[8222]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:41: ReferenceError: AppPid is not defined

Since Apr 13 it's been dozens of times per day, almost every day.

Comment 2 Jonathan Wakely 2018-04-26 20:08:19 UTC
On another machine running f26 it started at Apr 09 11:44:23

Comment 3 Fedora End Of Life 2018-05-03 07:50:43 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Jonathan Wakely 2018-05-03 17:16:30 UTC
I'm not seeing this with F27

Comment 5 Fedora End Of Life 2018-05-29 11:19:33 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.